<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/formulario_contacto.php';
require '../usuario/decodeUsuario.php';
require '../../modelo/history.php';
require '../../modelo/global.php';
$response = array();

if (!isset($_POST['visto'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$visto = $_POST['visto'];

$formularios_contacto = FormularioContacto::mdlGetFormulariosContacto($visto);

if (!$formularios_contacto) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontraron formularios de contacto con el estado visto especificado';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $formularios_contacto;

echo json_encode($response);